# mysqli::dump_debug_info

# mysqli_dump_debug_info

(PHP 5, PHP 7)

mysqli::dump_debug_info -- mysqli_dump_debug_info — Dump debugging information into the log

### Description

Object oriented style

mysqli::dump_debug_info ( void ) : bool

Procedural style

mysqli_dump_debug_info ( mysqli `$link` ) : bool

This function is designed to be executed by an user with the SUPER privilege and is used to dump debugging information into the log for the MySQL Server relating to the connection.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- mysqli_debug() - Performs debugging operations